Bug Hunting Session
Bug 55032 - CONDITIONAL FORMATTING lost in copied sheet in same document after close / reopen
Summary: CONDITIONAL FORMATTING lost in copied sheet in same document after close / re...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: medium blocker
Assignee: Not Assigned
URL:
Whiteboard: BSA (target:4.0.0)
Keywords: regression
Depends on:
Blocks: mab4.0
  Show dependency treegraph
 
Reported: 2012-09-17 20:58 UTC by john.pratt
Modified: 2012-12-23 12:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The original file (7.37 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-06 08:37 UTC, john.pratt
Details
The same file with the sheet copied (7.39 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-12-06 08:37 UTC, john.pratt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description john.pratt 2012-09-17 20:58:22 UTC
Problem description: my conditional formatting loses its cell ranges when the sheet is copied, saved and reopened.

Steps to reproduce:
1. create a spreadsheet with a conditional formatting rule
2. copy the sheet
3. save the file (as .ods)
4. close the file
5. open the file

Current behavior: conditional formatting is no longer allocated to a range on one sheet

Expected behavior: conditional formatting should remain as originally defined

NB: cannot find problem with 3.7.0.0.alpha0+ Build ID: ea744ff

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:13.0) Gecko/20100101 Firefox/13.0.1
Comment 1 Andrew Dobrich 2012-10-02 22:13:10 UTC
(In reply to comment #0)
> Problem description: my conditional formatting loses its cell ranges when
> the sheet is copied, saved and reopened.
> 
> Steps to reproduce:
> 1. create a spreadsheet with a conditional formatting rule
> 2. copy the sheet
> 3. save the file (as .ods)
> 4. close the file
> 5. open the file
> 
> Current behavior: conditional formatting is no longer allocated to a range
> on one sheet
> 
> Expected behavior: conditional formatting should remain as originally defined
> 
> NB: cannot find problem with 3.7.0.0.alpha0+ Build ID: ea744ff
> 
> Platform (if different from the browser): 
>               
> Browser: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:13.0) Gecko/20100101
> Firefox/13.0.1

I can confirm this is also the case with latest stable release (3.6.1) for Windows and the RC 3.6.2.2 also for Windows.
Comment 2 john.pratt 2012-11-10 17:49:44 UTC
Changed to NEW as confirmed by Andrew.
Comment 3 Nikos Platis 2012-11-10 19:17:17 UTC
In fact conditional formatting is lost at any copying of cells, not only of entire sheets. This is contrary to what Excel does, which is, in my opinion, more logical: conditional formatting is part of the formatting of the cell, so it should be copied along with the content and formatting.
Comment 4 Rainer Bielefeld Retired 2012-11-11 06:28:38 UTC
This Bug report is not NEW. Without a sample document it's hard to test, but I think Nikos Platis' has the correct analysis. So this is a DUP of "Bug 56316 - EDITING: CONDITIONAL FORMATTING not included in copy-paste cell"

@john.pratt
<https://wiki.documentfoundation.org/BugTriage#Process>  item 5

*** This bug has been marked as a duplicate of bug 56316 ***
Comment 5 john.pratt 2012-12-06 08:37:11 UTC
Created attachment 71072 [details]
The original file
Comment 6 john.pratt 2012-12-06 08:37:33 UTC
Created attachment 71073 [details]
The same file with the sheet copied
Comment 7 john.pratt 2012-12-06 08:43:19 UTC
I have reopened this bug.

Bug 56316 which it has been marked as a duplicate of has been fixed in 3.6.4.3

However, this exact bug still remains.

I have attached two files; one shows the original file and the other the same file after copying the sheet (suing the right click menu on the sheet name).  The conditional formatting is missing from the copy.

Steps to reproduce:
1.  Open the original file (or any .ods file with conditional formatting).
2.  Use the right click menu on the sheet name to copy the sheet (to the same file).
3.  Conditional formatting is visible on both the original and the copy.
4.  Save the file.
5.  Open the file.
6.  Conditional formatting is now missing from the copy.

OR

Steps to reproduce:
1.  Open the original file (or any .ods file with conditional formatting).
2.  Use the right click menu on the sheet name to copy the sheet (to a new file).
3.  Conditional formatting NOT is visible on the copy.
Comment 8 Rainer Bielefeld Retired 2012-12-06 11:25:14 UTC
[Reproducible] with reporter's sample "LibreOffice 3.6.4.3" German UI/ German Locale [Build-ID: 2ef5aff] {pull date 2012-11-28} on German WIN7 Home Premium (64bit).  I created a second copy of "Sheet1" by 'rightclick on Sheet name tab -> move/copy sheet', everything looked fine, but after save / reopen CF on my new sheet was lost.

We had something similar with old 3.6 and "Bug 53207 - FORMATTING: Conditional formatting not copied during Move/Copy Sheet", but that has been fixed for 3.6.1. Did the problem reappear? Seems so, I now also can reproduce the problem with  Attachment 65355 [details] for Bug 53306 (what is a DUP of Bug 53207)
	
@john.pratt@cantab.net 
Thank you for the documents. We need info with what Operating system and what LibO Version you did the test. Did you really do the test due to Comment 7 (by the way, it makes things more easy if you use different step numbers for different tests)?
Comment 9 Rainer Bielefeld Retired 2012-12-06 11:55:13 UTC
Sorry, I accidently pressed Enter.

Continuing with my results:
The effect is a little different to Bug 53306. I checked the old sample document and there is no CF at all in the copied sheet.
Sith 3.6.4.3 in reporter's sample "Example without conditional formatting.ods" here and with own new documents I see CF in copied sheet with menu 'Format -> CF -> Manage', but not with 'Format -> CF -> CF...' with cell cursor on the cell A1

When I open reporter's sample  with parallel installation of  "LOdev  4.0.0.0.alpha1+   -  ENGLISH UI / German Locale  [Build ID:ac4d26e3fc2728ee80f33a485540d50b48927dd)]"  {tinderbox: Win-x86@6, pull time 22012-12-03 09:03:45} on German WIN7 Home Premium (64bit) with own separate User Profile, the problem is not visible, the copied sheet "Sheet1_2" shows working CF. So for me WORKSFORME with this version

@john.pratt
My Did you really test due to comment 7 is because of "Bug 56973 - UI: Copy / Paste sole sheet of a spreadsheet wrongly looks inactive", for what I remembered details wrongly. Can you confirm that bug?

@Markus (I see, your are already in CC)
What do you think? I believe we need a backport to 3.6.5
And I see a CF recognition problem in 4.0 for documents created with 3.6.4. Something completely different of course, but that makes tests here more difficult. Do you agree with the WFM for 4.0?
Comment 10 Markus Mohrhard 2012-12-06 15:52:07 UTC
> 
> @Markus (I see, your are already in CC)
> What do you think? I believe we need a backport to 3.6.5
> And I see a CF recognition problem in 4.0 for documents created with 3.6.4.
> Something completely different of course, but that makes tests here more
> difficult. Do you agree with the WFM for 4.0?

This should be the same as fdo#56742.

What do you mean with recognition problem?
Comment 11 Rainer Bielefeld Retired 2012-12-06 16:10:08 UTC
(In reply to comment #10)
Agree, now I am pretty sure that this one is the same as Bug 56742. There in the comments also Copy / Paste cell was mentioned, I was not sure. 

Recognition problems: CF created in a document with 3.6.4.3 will not be recognized when I open document with 4.0. Is that already known, should I attach a document or create a new Bug?
Comment 12 john.pratt 2012-12-06 17:16:59 UTC
@john.pratt
My Did you really test due to comment 7 is because of "Bug 56973 - UI: Copy / Paste sole sheet of a spreadsheet wrongly looks inactive", for what I remembered details wrongly. Can you confirm that bug?

I did the tests with LibO 3.6.4.3 running on Windows XP.

I didn't spot a problem with the move/copy sheet dialogue - it made sense to me.  I can't go back and check, as I have had to uninstall 3.6.4.3 and revert to 3.5.x.x so I can use my spreadsheets during the day (I can copy sheets with much conditional formatting a lot).

I used steps 1-6 of the first method (copy in existing spreadsheet) to produce the sample documents.  I have done the second method (copy to new spreadsheet) as well though.  I'll use different numbers for different methods next time.
Comment 13 john.pratt 2012-12-17 17:27:07 UTC
I have tried the new LibODev (Version 4.0.0.0.beta1 (Build ID: 87906242e87d3ddb2ba9827818f2d1416d80cc7)).

Copying of sheets within one file: this problem does not seem to exist in 4.0 beta 1.

Copying of sheets between files: this problem does still exist in 4.0 beta 1; the conditional formatting is not working and is not visible in CF -> manage.
Comment 14 john.pratt 2012-12-21 07:53:57 UTC
I have tested this in 4.0 beta 2 and can confirm that the bug still exists for copying sheets between spreadsheets.

All conditional formatting is lost when a sheet is copied from one document to another.
Comment 15 john.pratt 2012-12-22 17:29:51 UTC
I have changed this to blocker on the basis that it seems to me to meet the requirements at https://wiki.documentfoundation.org/Release_Criteria#Blocker_Bug_Definition

Specifically:
Symptom 1. data loss when a sheet is copied to between documents
Symptom 2. function therefore unusable for documents conditional formatting

Condition 1. the problem has been reproduced
Condition 2. the problem is a regression against 3.5.x and was reported early 17/9/2012
Condition 3. there is not a reasonable workaround as far as I know for copying a sheet from one document to another without losing the conditional formatting

I am particularly pushing this bug as when 4.0 is released the updates for 3.5 will stop, leaving me without a maintained version that I can use for my work.
Comment 16 Rainer Bielefeld Retired 2012-12-23 10:22:57 UTC
The original report was concerning a "Copy sheet within document", I will switch this one back to that, to keep overview and report  new Bugs for new problems observed during investigations.

I am a little worried, I can not reproduce the problem due to Comment 7 or Comment 9 with Server Installation of "LibreOffice 3.6.2.1 release”  English UI/ German Locale [Build-ID:  da8c1e6] on German WIN7 Home Premium (64bit) 
or
3.6.4.3 or 4.0.0.0.beta2, but with 3.6.4.3 I still can reproduce Bug 56742. Although the symptoms are very similar, this Bug is different to Bug 56742

But that does not matter, the problem of this bug seems solved with current 3.6.4.3 and 4.0, So I would like to close this one as worksforme.

For the "copy to other document problem" please see "Bug 58677 - CONDITIONAL FORMATTING lost after sheet has been copied to new document"!

@john.pratt@cantab.net
It is not useful if you find a new definition concerning any CF problem for this report every 3 days, please respect the LibO bug fixing workflow and stop that.

@All:
Does anybody still see the problem due to Comment 7 with 3.6.4.3 or 4.0.0.0.beta2 (or later?)
Comment 17 john.pratt 2012-12-23 12:20:48 UTC
@  Rainer Bielefeld
I agree that the method using comment 7 steps to reproduce 1-6 is now not reproducible in 4.0beta2.
Comment 18 Rainer Bielefeld Retired 2012-12-23 12:40:20 UTC
So let's close this one and concentrate on remaining problems like Bug 58677.
If someone finds some more precise info with what version the problem disappeared, he should add more precise target info in the whiteboard. This info might be important to distinguish this one from other bugs what might have similar symptoms, but different roots.

@john.pratt@cantab.net
Thank you for additional test!